ThinkLP
Insights Cases API

Transactions

Serverhttps://yourorg.my.salesforce.com/services/apexrest/ThinkSDK/thinklp/api/v1

Retrieve the transactions linked to a case.


List transactions linked to a case

GET
https://yourorg.my.salesforce.com/services/apexrest/ThinkSDK/thinklp/api/v1
/insights/cases/{caseId}/transactions

Returns the Frontier transaction snapshots linked to the given case, ordered as stored.

List transactions linked to a case › path Parameters

caseId
​string · required

15- or 18-character Salesforce Id of the investigation case (ThinkLP__Investigation__c).

List transactions linked to a case › Responses

Transactions linked to the case.

transactionId
​string
transactionNumber
​string | null
transactionDate
​string | null · date
transactionTotal
​number | null
relatedEmployeeId
​string | null

Frontier-side employee identifier (snapshot value).

frontierUrl
​string | null